apiVersion: apps/v1
kind: Deployment
metadata:
  annotations:
    kompose.cmd: kompose convert
    kompose.version: 1.38.0 (a8f5d1cbd)
  labels:
    io.kompose.service: seerr
  name: seerr
spec:
  replicas: 1
  selector:
    matchLabels:
      io.kompose.service: seerr
  strategy:
    type: Recreate
  template:
    metadata:
      annotations:
        kompose.cmd: kompose convert
        kompose.version: 1.38.0 (a8f5d1cbd)
      labels:
        io.kompose.service: seerr
    spec:
      containers:
        - env:
            - name: LOG_LEVEL
              value: debug
            - name: PORT
              value: "5055"
          image: ghcr.io/seerr-team/seerr:latest
          livenessProbe:
            exec:
              command:
                - wget --no-verbose --tries=1 --spider http://localhost:5055/api/v1/status || exit 1
            failureThreshold: 3
            initialDelaySeconds: 20
            periodSeconds: 15
            timeoutSeconds: 3
          name: seerr
          ports:
            - containerPort: 5055
              protocol: TCP
          volumeMounts:
            - mountPath: /app/config
              name: seerr
      restartPolicy: Always
      volumes:
        - name: seerr
          persistentVolumeClaim:
            claimName: seerr
